#pragma once

#include <memory>

class AbstractDesktopApp
{
public:

    AbstractDesktopApp() = default;
    virtual ~AbstractDesktopApp() = default;
};

using AbstractDesktopAppPtr = std::shared_ptr<AbstractDesktopApp>;
